=== debian/control ===
Source: unittest++
Section: devel
Priority: optional
Homepage: https://github.com/unittest-cpp/unittest-cpp
Maintainer: Johan Euphrosine (proppy) <proppy@aminche.com>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/unittest++.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/unittest++.git

Package: libunittest++-dev
Section: libdevel
Architecture: any
Depends: libunittest++2 (=${binary:Version}), ${misc:Depends}
Description: unit testing framework for c++, static library and headers
 unittest++ is a unit testing framework designed for simplicity
 and portability. Features include no explicit test registration,
 good crash handling, fixtures, rich condition-checking functionality,
 minimal footprint for embedded environments.

Package: libunittest++2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: unit testing framework for c++, runtime library
 unittest++ is a unit testing framework designed for simplicity
 and portability. Features include no explicit test registration,
 good crash handling, fixtures, rich condition-checking functionality,
 minimal footprint for embedded environments.
 .
 Provides the Unittest library
