=== debian/watch ===
version=3
https://github.com/unittest-cpp/unittest-cpp/releases .*/v(\d\S*)\.tar\.gz
